Wrong package installed mistakenly

Upgrade was done mistakenly using AL2 package instead of el7 package needed. is there any way to overwrite with proper package without uninstalling? only old backup available so would prefer to just overwrite if possible.

Yeah, you should be able to use something like:

rpm -Uvh gitlab-xx........

where xx is ce or ee, and the … being the remainder of the filename. If that doesn’t work, you may need to add --force to force it over the same Gitlab version number of the one being installed.